Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.data.alphabets
Class GenericComplementableDiscreteAlphabet.GenericComplementableDiscreteAlphabetParameterSet

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.parameters.InstanceParameterSet
              de.jstacs.data.Alphabet.AlphabetParameterSet
                  de.jstacs.data.alphabets.DiscreteAlphabet.DiscreteAlphabetParameterSet
                      de.jstacs.data.alphabets.GenericComplementableDiscreteAlphabet.GenericComplementableDiscreteAlphabetParameterSet

All Implemented Interfaces:
  GalaxyConvertible, RangeIterator, Storable, Cloneable

Enclosing class:
  GenericComplementableDiscreteAlphabet

    public static class GenericComplementableDiscreteAlphabet.GenericComplementableDiscreteAlphabetParameterSet

extends DiscreteAlphabet.DiscreteAlphabetParameterSet

This class is used as container for the parameters of a `GenericComplementableDiscreteAlphabet`.

Author:
  Jens Keilwagen

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent, ranged`

Constructor Summary
`GenericComplementableDiscreteAlphabet.GenericComplementableDiscreteAlphabetParameterSet()` This constructor creates an empty parameter set the has to be filled before it can be used to create a `GenericComplementableDiscreteAlphabet`.
`GenericComplementableDiscreteAlphabet.GenericComplementableDiscreteAlphabetParameterSet(String[] alphabet, boolean caseInsensitive, int[] revComp)` The main constructor.
`GenericComplementableDiscreteAlphabet.GenericComplementableDiscreteAlphabetParameterSet(StringBuffer representation)` The standard constructor for the interface `Storable`.

Method Summary
`protected void` | `loadParameters()` Loads the parameters for this `ParameterSet`.

Methods inherited from class de.jstacs.data.alphabets.DiscreteAlphabet.DiscreteAlphabetParameterSet
`getInstanceComment`

Methods inherited from class de.jstacs.data.Alphabet.AlphabetParameterSet
`clone, getInstanceName`

Methods inherited from class de.jstacs.parameters.InstanceParameterSet
`fromXML, getInstance, getInstanceClass, toXML`

Methods inherited from class de.jstacs.parameters.ParameterSet
`fromGalaxy, getErrorMessage, getId, getIndex, getNumberOfParameters, getNumberOfValues, getParameterAt, getParent, hasDefaultOrIsSet, initParameterList, initParameterList, isAtomic, isRanged, makeRanged, next, parametersLoaded, propagateId, recieveId, replaceParametersWithRangedInstance, reset, resetToFirst, setParent, simplify, toGalaxy, valuesToString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericComplementableDiscreteAlphabet.GenericComplementableDiscreteAlphabetParameterSet

    public GenericComplementableDiscreteAlphabet.GenericComplementableDiscreteAlphabetParameterSet()

  This constructor creates an empty parameter set the has to be filled before it can be used to create a `GenericComplementableDiscreteAlphabet`.

### GenericComplementableDiscreteAlphabet.GenericComplementableDiscreteAlphabetParameterSet

    public GenericComplementableDiscreteAlphabet.GenericComplementableDiscreteAlphabetParameterSet(String[] alphabet,
                                                                                                   boolean caseInsensitive,
                                                                                                   int[] revComp)
                                                                                            throws Exception

  The main constructor.

  Parameters:
    `alphabet` - the array of symbols
    `caseInsensitive` - indicates if there will be no difference between lowercase and uppercase letters/symbols in the alphabet (no case sensitivity)
    `revComp` - the array is used to provide the complementarity, `revComp[i]` contains the index of the complement of the i-th symbol
  Throws:
    `Exception` - if some parameter could not be set.

### GenericComplementableDiscreteAlphabet.GenericComplementableDiscreteAlphabetParameterSet

    public GenericComplementableDiscreteAlphabet.GenericComplementableDiscreteAlphabetParameterSet(StringBuffer representation)
                                                                                            throws NonParsableException

  The standard constructor for the interface `Storable`. Creates a new `GenericComplementableDiscreteAlphabet.GenericComplementableDiscreteAlphabetParameterSet` out of its XML representation.

  Parameters:
    `representation` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `GenericComplementableDiscreteAlphabet.GenericComplementableDiscreteAlphabetParameterSet` could not be reconstructed out of the XML representation (the `StringBuffer` `representation` could not be parsed)
  See Also:
    `Alphabet.AlphabetParameterSet#AlphabetParameterSet(StringBuffer)`, `Storable`

Method Detail

### loadParameters

    protected void loadParameters()
                           throws Exception

  Description copied from class: `ParameterSet`
  Loads the parameters for this `ParameterSet`. This is in most cases done by calling `ParameterSet.initParameterList()` or `ParameterSet.initParameterList(int)` to initialize `ParameterSet.parameters` and afterwards filling `ParameterSet.parameters` with instances of subclasses of `Parameter`.

  Overrides:
    `loadParameters` in class `DiscreteAlphabet.DiscreteAlphabetParameterSet`
  Throws:
    `Exception` - if the parameters could not be loaded
  See Also:
    `Parameter`, `ParameterSet.parameters`, `ParameterSet.initParameterList()`, `ParameterSet.initParameterList(int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD